### Function

# Dex socket_wait

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_socket_wait (
      GSocket* socket,
      GIOCondition condition
    )

#### Description [src]

Creates a `DexFuture` that resolves when `socket` satisfies `condition`.

The future resolves to the `GIOCondition` reported by the socket source. This may include additional conditions such as `G_IO_HUP` or `G_IO_ERR`.

Available since: 1.2

#### Parameters

`socket`

  Type: `GSocket`

  A `GSocket`.

  The data is owned by the caller of the function.

`condition`

  Type: `GIOCondition`

  A `GIOCondition` to wait for.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GIOCondition`.

The caller of the function takes ownership of the data, and is responsible for freeing it.